Daemon Power

The NetBSD Packages Collection: net/py-pylint-celery

Brief description of the package:
Pylint plugin to aid Pylint in recognising the Celery library

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/landscapeio/pylint-celery.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "net/py-pylint-celery" directory. The current source version of the package is "py37-pylint-celery-0.3". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for net/py-pylint-celery :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py37-astroid>=1.0 py37-lazy-object-proxy>=1.4.0 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 python37>=3.7.5 py37-setuptools_scm>=3.3.1 py37-wheel-[0-9]* py37-six-[0-9]* py37-typed-ast-[0-9]* py37-wrapt-[0-9]* py37-test-runner-[0-9]* py37-setuptools_scm-[0-9]* py37-test>=2.8 py37-atomicwrites>=1.0 py37-attrs>=17.4.0 py37-packaging-[0-9]* py37-pyparsing>=2.0.2 py37-pluggy>=0.12 py37-importlib-metadata>=0.12 py37-zipp>=0.5 py37-more-itertools-[0-9]* py37-setuptools_scm>=1.15.0 py37-py>=1.5.0 py37-six>=1.10.0 py37-wcwidth-[0-9]* py37-pylint>=1.0 py37-astroid>=2.2.0 py37-isort>=4.2.5 py37-lama-[0-9]* py37-codestyle>=2.3.1 py37-docstyle>=2.0.0 py37-snowballstemmer-[0-9]* py37-flakes>=1.5.0 py37-mccabe>=0.5.2 py37-eradicate-[0-9]* py37-radon>=1.4.2 py37-mando>=0.6 py37-colorama>=0.4 py37-flake8-polyfill-[0-9]* py37-flake8-[0-9]* py37-codestyle>=2.5.0 py37-entrypoints>=0.3 py37-flakes>=2.1.0 py37-mccabe>=0.6.0 py37-pep8-[0-9]* py37-test-[0-9]* py37-future-[0-9]* py37-mccabe>=0.6 py37-pylint-plugin-utils>=0.2.1 py37-pylint-[0-9]* .

This package requires the following package(s) to run: py37-astroid>=1.0 py37-lazy-object-proxy>=1.4.0 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 python37>=3.7.5 py37-six-[0-9]* py37-typed-ast-[0-9]* py37-wrapt-[0-9]* py37-pylint>=1.0 py37-astroid>=2.2.0 py37-isort>=4.2.5 py37-lama-[0-9]* py37-codestyle>=2.3.1 py37-docstyle>=2.0.0 py37-snowballstemmer-[0-9]* py37-flakes>=1.5.0 py37-mccabe>=0.5.2 py37-eradicate-[0-9]* py37-radon>=1.4.2 py37-mando>=0.6 py37-colorama>=0.4 py37-flake8-polyfill-[0-9]* py37-flake8-[0-9]* py37-codestyle>=2.5.0 py37-entrypoints>=0.3 py37-flakes>=2.1.0 py37-mccabe>=0.6.0 py37-future-[0-9]* py37-mccabe>=0.6 py37-pylint-plugin-utils>=0.2.1 py37-pylint-[0-9]* .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:py34-pylint-celery-0.3.tgz(NetBSD 8.0)
alpha:py35-pylint-celery-0.3.tgz(NetBSD 8.0)
alpha:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
alpha:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
alpha:py34-pylint-celery-0.3.tgz(NetBSD 8.0)
alpha:py35-pylint-celery-0.3.tgz(NetBSD 8.0)
alpha:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
alpha:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
alpha:py34-pylint-celery-0.3.tgz(NetBSD 8.0)
alpha:py35-pylint-celery-0.3.tgz(NetBSD 8.0)
alpha:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
alpha:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
earm:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
earm:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
earmv6hf:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
earmv6hf:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
earmv6hf:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
earmv6hf:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
earmv7hf:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
earmv7hf:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
earmv7hf:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
earmv7hf:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
i386:py36-pylint-celery-0.3.tgz(NetBSD 7.0)
i386:py37-pylint-celery-0.3.tgz(NetBSD 7.0)
i386:py34-pylint-celery-0.3.tgz(NetBSD 7.0)
i386:py36-pylint-celery-0.3.tgz(NetBSD 7.0)
i386:py37-pylint-celery-0.3.tgz(NetBSD 7.0)
i386:py36-pylint-celery-0.3.tgz(NetBSD 7.0)
i386:py37-pylint-celery-0.3.tgz(NetBSD 7.0)
i386:py34-pylint-celery-0.3.tgz(NetBSD 7.1)
i386:py36-pylint-celery-0.3.tgz(NetBSD 7.1)
i386:py37-pylint-celery-0.3.tgz(NetBSD 7.1)
i386:py36-pylint-celery-0.3.tgz(NetBSD 7.1)
i386:py37-pylint-celery-0.3.tgz(NetBSD 7.1)
i386:py36-pylint-celery-0.3.tgz(NetBSD 7.1)
i386:py37-pylint-celery-0.3.tgz(NetBSD 7.1)
i386:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
i386:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
i386:py34-pylint-celery-0.3.tgz(NetBSD 8.0)
i386:py35-pylint-celery-0.3.tgz(NetBSD 8.0)
i386:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
i386:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
i386:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
i386:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
powerpc:py27-pylint-celery-0.3.tgz(NetBSD 7.1)
powerpc:py34-pylint-celery-0.3.tgz(NetBSD 7.1)
powerpc:py35-pylint-celery-0.3.tgz(NetBSD 7.1)
powerpc:py36-pylint-celery-0.3.tgz(NetBSD 7.1)
powerpc:py37-pylint-celery-0.3.tgz(NetBSD 7.1)
powerpc:py36-pylint-celery-0.3.tgz(NetBSD 9.0)
powerpc:py37-pylint-celery-0.3.tgz(NetBSD 9.0)
sparc64:py27-pylint-celery-0.3.tgz(NetBSD 7.1)
sparc64:py34-pylint-celery-0.3.tgz(NetBSD 7.1)
sparc64:py35-pylint-celery-0.3.tgz(NetBSD 7.1)
sparc64:py36-pylint-celery-0.3.tgz(NetBSD 7.1)
sparc64:py34-pylint-celery-0.3.tgz(NetBSD 8.0)
sparc64:py35-pylint-celery-0.3.tgz(NetBSD 8.0)
sparc64:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
sparc64:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
x86_64:py36-pylint-celery-0.3.tgz(NetBSD 7.0)
x86_64:py37-pylint-celery-0.3.tgz(NetBSD 7.0)
x86_64:py34-pylint-celery-0.3.tgz(NetBSD 7.0)
x86_64:py36-pylint-celery-0.3.tgz(NetBSD 7.0)
x86_64:py37-pylint-celery-0.3.tgz(NetBSD 7.0)
x86_64:py36-pylint-celery-0.3.tgz(NetBSD 7.0)
x86_64:py37-pylint-celery-0.3.tgz(NetBSD 7.0)
x86_64:py36-pylint-celery-0.3.tgz(NetBSD 7.1)
x86_64:py37-pylint-celery-0.3.tgz(NetBSD 7.1)
x86_64:py34-pylint-celery-0.3.tgz(NetBSD 7.1)
x86_64:py36-pylint-celery-0.3.tgz(NetBSD 7.1)
x86_64:py37-pylint-celery-0.3.tgz(NetBSD 7.1)
x86_64:py36-pylint-celery-0.3.tgz(NetBSD 7.1)
x86_64:py37-pylint-celery-0.3.tgz(NetBSD 7.1)
x86_64:py34-pylint-celery-0.3.tgz(NetBSD 8.0)
x86_64:py35-pylint-celery-0.3.tgz(NetBSD 8.0)
x86_64:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
x86_64:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
x86_64:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
x86_64:py37-pylint-celery-0.3.tgz(NetBSD 8.0)
x86_64:py36-pylint-celery-0.3.tgz(NetBSD 8.0)
x86_64:py37-pylint-celery-0.3.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]